petsc-3.7.7 2017-09-25
Report Typos and Errors

# EventPerfLogDeactivateClass

Deactivates event logging for a PETSc object class.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode EventPerfLogDeactivateClass(PetscEventPerfLog eventLog, PetscEventRegLog eventRegLog, PetscClassId classid)

Not Collective

### Input Parameters

| eventLog | - The PetscEventPerfLog
| eventRegLog | - The PetscEventRegLog
| classid | - The class id, for example MAT_CLASSID, SNES_CLASSID,

### See Also

EventPerfLogDeactivateClass(), EventPerfLogDeactivate(), EventPerfLogActivate()

Level:developer
Location:src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages